<?php

namespace App\Services\Dashboard\Province\SystemMessages;

use App\Facades\DataTable\DataTableFacade;
use App\Models\SystemMessage;
use Illuminate\Http\Request;

class SupervisorService
{
    public function dataTable(Request $request)
    {
        return DataTableFacade::run(
            SystemMessage::query()->orderBy('id'),
            $request,
            allowedFilters: ['*'],
            allowedSortings: ['*'],
            allowedSelects: ['id','duration','date', 'voice', 'message_quality', 'format_quality', 'type_id', 'type_name', 'description']
        );
    }
}
